Subject: Re: bufferwords() lexes a subshell in a shortloop repeat as a string
From: Peter Stephenson <[email-masked]>
To: [email-masked]
Date: Mon, 18 Jan 2016 09:41:29 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Sun, 17 Jan 2016 14:46:35 -0800
Bart Schaefer <[email-masked]> wrote:
> On Jan 17,  6:16pm, Peter Stephenson wrote:
> } Subject: Re: bufferwords() lexes a subshell in a shortloop repeat as a str
> }
> } On Fri, 15 Jan 2016 11:25:16 -0800
> } Bart Schaefer <[email-masked]> wrote:
> } > On Jan 15,  9:41am, Peter Stephenson wrote:
> } > } Subject: Re: bufferwords() lexes a subshell in a shortloop repeat as a str
> } > }
> } > } it's just splitting words, and (... ...) indeed works as a complete word
> } > 
> } > Urk.  That probably ought to be disabled, at least in shell emulation,
> } > e.g. here is bash:
> } 
> } shwordsplit does this.  (I thought it would be shglob, but it isn't.)
> 
> Hrm.  I see no evidence of that.

I'm not sure what it is you're not doing, but that's not what I get
with ARGV0=sh...

pws